> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/chord-oms/api-reference/payments.md).

# Payments

## List checkout payments

> Lists a checkout's payments.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"parameters":{"page":{"name":"page","in":"query","schema":{"type":"integer","default":1}},"per_page":{"name":"per_page","in":"query","schema":{"type":"integer","default":25}}},"schemas":{"pagination-data":{"title":"Pagination data","type":"object","properties":{"count":{"type":"integer"},"current_page":{"type":"integer"},"pages":{"type":"integer"},"per_page":{"type":"integer","description":"This will match the value passed in to the `per_page` query parameter.\n"},"total_count":{"type":"integer"}}},"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/checkouts/{checkout_id}/payments":{"get":{"summary":"List checkout payments","description":"Lists a checkout's payments.","operationId":"list-checkout-payments","tags":["Payments"],"parameters":[{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/per_page"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/pagination-data"},{"type":"object","properties":{"payments":{"type":"array","items":{"$ref":"#/components/schemas/payment"}}}}]}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"}}}}}}
```

## Create checkout payment

> Creates a new payment for a checkout.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]},{"order-token":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"},"order-token":{"type":"apiKey","name":"X-Spree-Order-Token","in":"header","description":"This is a token that is assoicated with an order that allows operations\non that order. It is to be used as a means of authentication for guest\ncheckout sessions.\n"}},"schemas":{"payment-input":{"type":"object","title":"Payment input","properties":{"amount":{"type":"string"},"payment_method_id":{"type":"integer"},"payment_method":{"type":"string"},"source_attributes":{"type":"object","properties":{"number":{"type":"string"},"month":{"type":"integer"},"year":{"type":"integer"},"verification_value":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"last_digits":{"type":"string"},"name":{"type":"string"},"encrypted_data":{"type":"string"},"existing_card_id":{"type":"integer"},"wallet_payment_source_id":{"type":"integer"},"address_attributes":{"$ref":"#/components/schemas/address-input"}}}}},"address-input":{"type":"object","title":"Address Input","required":["address1","city"],"properties":{"name":{"type":"string","description":"The full name of the user. You must provide this field OR one of OR both of `firstname` and `lastname` for\nthe payload to be valid.\n\nThis field will override `firstname` and `lastname` if both are provided.\n"},"firstname":{"type":"string","description":"The first name of the user. This field will be ignored if `name` is provided.\n"},"lastname":{"type":"string","description":"The last name of the user. This field will be ignored if `name` is provided.\n"},"address1":{"type":"string"},"address2":{"type":"string","nullable":true},"city":{"type":"string"},"state_name":{"type":"string","description":"Either the name of the state (\"New York\") or it's abbreviation (\"NY\").\n\nThis field (or `state_id`) is required if [`/api/countries/{country_id}/states`](#/paths/list-country-states)\nreturns `\"states_required\": true` in it's body.\n"},"state_id":{"type":"integer","description":"This ID can be found by calling [`/api/countries/{country_id}/states`](#/paths/list-country-states).\n\nThis field (or `state_name`) is required if the above endpoint returns `\"states_required\": true`.\n"},"country_id":{"type":"integer","description":"This ID can be found by calling [`/api/countries`](#/paths/list-countries). Either `country_id` OR `country_iso`\nmust be provided for this payload to be valid.\n"},"country_iso":{"type":"string","description":"The [ISO 3166-1 Alpha-2 country code](https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes) that the\nuser resides in. This list can be fetched from [`/api/countries`](#/paths/list-countries), where the key is\n`iso`.\n\nThis field OR `country_id` must be provided for this payload to be valid.\n"},"zipcode":{"type":"string","nullable":true,"description":"This field is required if the country requires a ZIP code, like the United States (`233`).\n"},"phone":{"type":"string","nullable":true},"alternative_phone":{"type":"string","nullable":true},"company":{"type":"string","nullable":true}}},"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/checkouts/{checkout_id}/payments":{"post":{"summary":"Create checkout payment","description":"Creates a new payment for a checkout.","operationId":"create-checkout-payment","tags":["Payments"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment-input"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```

## Get checkout payment

> Gets a checkout's payment.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]},{"order-token":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"},"order-token":{"type":"apiKey","name":"X-Spree-Order-Token","in":"header","description":"This is a token that is assoicated with an order that allows operations\non that order. It is to be used as a means of authentication for guest\ncheckout sessions.\n"}},"schemas":{"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/checkouts/{checkout_id}/payments/{id}":{"get":{"summary":"Get checkout payment","description":"Gets a checkout's payment.","operationId":"get-checkout-payment","tags":["Payments"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"}}}}}}
```

## Update checkout payment

> Updates a checkout's payment.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]},{"order-token":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"},"order-token":{"type":"apiKey","name":"X-Spree-Order-Token","in":"header","description":"This is a token that is assoicated with an order that allows operations\non that order. It is to be used as a means of authentication for guest\ncheckout sessions.\n"}},"schemas":{"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/checkouts/{checkout_id}/payments/{id}":{"patch":{"summary":"Update checkout payment","description":"Updates a checkout's payment.","operationId":"update-checkout-payment","tags":["Payments"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"amount":{"type":"number"},"payment_method_id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"}}}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```

## List order payments

> Lists an order's payments.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]},{"order-token":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"},"order-token":{"type":"apiKey","name":"X-Spree-Order-Token","in":"header","description":"This is a token that is assoicated with an order that allows operations\non that order. It is to be used as a means of authentication for guest\ncheckout sessions.\n"}},"parameters":{"page":{"name":"page","in":"query","schema":{"type":"integer","default":1}},"per_page":{"name":"per_page","in":"query","schema":{"type":"integer","default":25}}},"schemas":{"pagination-data":{"title":"Pagination data","type":"object","properties":{"count":{"type":"integer"},"current_page":{"type":"integer"},"pages":{"type":"integer"},"per_page":{"type":"integer","description":"This will match the value passed in to the `per_page` query parameter.\n"},"total_count":{"type":"integer"}}},"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/orders/{order_number}/payments":{"get":{"summary":"List order payments","description":"Lists an order's payments.","operationId":"list-order-payments","tags":["Payments"],"parameters":[{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/per_page"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/pagination-data"},{"type":"object","properties":{"payments":{"type":"array","items":{"$ref":"#/components/schemas/payment"}}}}]}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"}}}}}}
```

## Create order payment

> Creates a payment for an order.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]},{"order-token":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"},"order-token":{"type":"apiKey","name":"X-Spree-Order-Token","in":"header","description":"This is a token that is assoicated with an order that allows operations\non that order. It is to be used as a means of authentication for guest\ncheckout sessions.\n"}},"schemas":{"payment-input":{"type":"object","title":"Payment input","properties":{"amount":{"type":"string"},"payment_method_id":{"type":"integer"},"payment_method":{"type":"string"},"source_attributes":{"type":"object","properties":{"number":{"type":"string"},"month":{"type":"integer"},"year":{"type":"integer"},"verification_value":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"last_digits":{"type":"string"},"name":{"type":"string"},"encrypted_data":{"type":"string"},"existing_card_id":{"type":"integer"},"wallet_payment_source_id":{"type":"integer"},"address_attributes":{"$ref":"#/components/schemas/address-input"}}}}},"address-input":{"type":"object","title":"Address Input","required":["address1","city"],"properties":{"name":{"type":"string","description":"The full name of the user. You must provide this field OR one of OR both of `firstname` and `lastname` for\nthe payload to be valid.\n\nThis field will override `firstname` and `lastname` if both are provided.\n"},"firstname":{"type":"string","description":"The first name of the user. This field will be ignored if `name` is provided.\n"},"lastname":{"type":"string","description":"The last name of the user. This field will be ignored if `name` is provided.\n"},"address1":{"type":"string"},"address2":{"type":"string","nullable":true},"city":{"type":"string"},"state_name":{"type":"string","description":"Either the name of the state (\"New York\") or it's abbreviation (\"NY\").\n\nThis field (or `state_id`) is required if [`/api/countries/{country_id}/states`](#/paths/list-country-states)\nreturns `\"states_required\": true` in it's body.\n"},"state_id":{"type":"integer","description":"This ID can be found by calling [`/api/countries/{country_id}/states`](#/paths/list-country-states).\n\nThis field (or `state_name`) is required if the above endpoint returns `\"states_required\": true`.\n"},"country_id":{"type":"integer","description":"This ID can be found by calling [`/api/countries`](#/paths/list-countries). Either `country_id` OR `country_iso`\nmust be provided for this payload to be valid.\n"},"country_iso":{"type":"string","description":"The [ISO 3166-1 Alpha-2 country code](https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes) that the\nuser resides in. This list can be fetched from [`/api/countries`](#/paths/list-countries), where the key is\n`iso`.\n\nThis field OR `country_id` must be provided for this payload to be valid.\n"},"zipcode":{"type":"string","nullable":true,"description":"This field is required if the country requires a ZIP code, like the United States (`233`).\n"},"phone":{"type":"string","nullable":true},"alternative_phone":{"type":"string","nullable":true},"company":{"type":"string","nullable":true}}},"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/orders/{order_number}/payments":{"post":{"summary":"Create order payment","description":"Creates a payment for an order.","operationId":"create-order-payment","tags":["Payments"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment-input"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```

## Get order payment

> Retrieves an order's payment.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]},{"order-token":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"},"order-token":{"type":"apiKey","name":"X-Spree-Order-Token","in":"header","description":"This is a token that is assoicated with an order that allows operations\non that order. It is to be used as a means of authentication for guest\ncheckout sessions.\n"}},"schemas":{"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/orders/{order_number}/payments/{id}":{"get":{"summary":"Get order payment","description":"Retrieves an order's payment.","operationId":"get-order-payment","tags":["Payments"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"}}}}}}
```

## Update order payment

> Updates an order's payment.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]},{"order-token":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"},"order-token":{"type":"apiKey","name":"X-Spree-Order-Token","in":"header","description":"This is a token that is assoicated with an order that allows operations\non that order. It is to be used as a means of authentication for guest\ncheckout sessions.\n"}},"schemas":{"payment-input":{"type":"object","title":"Payment input","properties":{"amount":{"type":"string"},"payment_method_id":{"type":"integer"},"payment_method":{"type":"string"},"source_attributes":{"type":"object","properties":{"number":{"type":"string"},"month":{"type":"integer"},"year":{"type":"integer"},"verification_value":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"last_digits":{"type":"string"},"name":{"type":"string"},"encrypted_data":{"type":"string"},"existing_card_id":{"type":"integer"},"wallet_payment_source_id":{"type":"integer"},"address_attributes":{"$ref":"#/components/schemas/address-input"}}}}},"address-input":{"type":"object","title":"Address Input","required":["address1","city"],"properties":{"name":{"type":"string","description":"The full name of the user. You must provide this field OR one of OR both of `firstname` and `lastname` for\nthe payload to be valid.\n\nThis field will override `firstname` and `lastname` if both are provided.\n"},"firstname":{"type":"string","description":"The first name of the user. This field will be ignored if `name` is provided.\n"},"lastname":{"type":"string","description":"The last name of the user. This field will be ignored if `name` is provided.\n"},"address1":{"type":"string"},"address2":{"type":"string","nullable":true},"city":{"type":"string"},"state_name":{"type":"string","description":"Either the name of the state (\"New York\") or it's abbreviation (\"NY\").\n\nThis field (or `state_id`) is required if [`/api/countries/{country_id}/states`](#/paths/list-country-states)\nreturns `\"states_required\": true` in it's body.\n"},"state_id":{"type":"integer","description":"This ID can be found by calling [`/api/countries/{country_id}/states`](#/paths/list-country-states).\n\nThis field (or `state_name`) is required if the above endpoint returns `\"states_required\": true`.\n"},"country_id":{"type":"integer","description":"This ID can be found by calling [`/api/countries`](#/paths/list-countries). Either `country_id` OR `country_iso`\nmust be provided for this payload to be valid.\n"},"country_iso":{"type":"string","description":"The [ISO 3166-1 Alpha-2 country code](https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes) that the\nuser resides in. This list can be fetched from [`/api/countries`](#/paths/list-countries), where the key is\n`iso`.\n\nThis field OR `country_id` must be provided for this payload to be valid.\n"},"zipcode":{"type":"string","nullable":true,"description":"This field is required if the country requires a ZIP code, like the United States (`233`).\n"},"phone":{"type":"string","nullable":true},"alternative_phone":{"type":"string","nullable":true},"company":{"type":"string","nullable":true}}},"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/orders/{order_number}/payments/{id}":{"patch":{"summary":"Update order payment","description":"Updates an order's payment.","operationId":"update-order-payment","tags":["Payments"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment-input"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```

## Authorize checkout payment

> Authorizes a checkout's payment.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/checkouts/{checkout_id}/payments/{payment_id}/authorize":{"put":{"summary":"Authorize checkout payment","description":"Authorizes a checkout's payment.","operationId":"authorize-checkout-payment","tags":["Payments"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```

## Capture checkout payment

> Captures a checkout's payment.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/checkouts/{checkout_id}/payments/{payment_id}/capture":{"put":{"summary":"Capture checkout payment","description":"Captures a checkout's payment.","operationId":"capture-checkout-payment","tags":["Payments"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```

## Credit checkout payment

> Credits a checkout's payment.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/checkouts/{checkout_id}/payments/{payment_id}/credit":{"put":{"summary":"Credit checkout payment","description":"Credits a checkout's payment.","operationId":"credit-checkout-payment","tags":["Payments"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```

## Purchase checkout payment

> Purchases a checkout's payment.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/checkouts/{checkout_id}/payments/{payment_id}/purchase":{"put":{"summary":"Purchase checkout payment","description":"Purchases a checkout's payment.","operationId":"purchase-checkout-payment","tags":["Payments"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```

## Void checkout payment

> Voids a checkout's payment.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/checkouts/{checkout_id}/payments/{payment_id}/void":{"put":{"summary":"Void checkout payment","description":"Voids a checkout's payment.","operationId":"void-checkout-payment","tags":["Payments"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```

## Authorize order payment

> Authorizes an order's payment.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/orders/{order_number}/payments/{payment_id}/authorize":{"put":{"summary":"Authorize order payment","description":"Authorizes an order's payment.","operationId":"authorize-order-payment","tags":["Payments"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```

## Capture order payment

> Captures an order's payment.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/orders/{order_number}/payments/{payment_id}/capture":{"put":{"summary":"Capture order payment","description":"Captures an order's payment.","operationId":"capture-order-payment","tags":["Payments"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```

## Credit order payment

> Credits an order's payment.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/orders/{order_number}/payments/{payment_id}/credit":{"put":{"summary":"Credit order payment","description":"Credits an order's payment.","operationId":"credit-order-payment","tags":["Payments"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```

## Purchase order payment

> Purchases an order's payment.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/orders/{order_number}/payments/{payment_id}/purchase":{"put":{"summary":"Purchase order payment","description":"Purchases an order's payment.","operationId":"purchase-order-payment","tags":["Payments"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```

## Void order payment

> Voids an order's payment.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Payments"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"payment":{"type":"object","title":"Payment","properties":{"amount":{"type":"string"},"avs_response":{"type":"string"},"created_at":{"type":"string"},"display_amount":{"type":"string"},"id":{"type":"integer"},"payment_method":{"$ref":"#/components/schemas/payment-method"},"payment_method_id":{"type":"integer"},"source":{"$ref":"#/components/schemas/payment-source"},"source_id":{"type":"integer"},"source_type":{"type":"integer"},"state":{"type":"string"},"updated_at":{"type":"string"}}},"payment-method":{"type":"object","properties":{"id":{"type":"integer"},"method_type":{"type":"string"},"name":{"type":"string"},"partial_name":{"type":"string"}},"title":"Payment method"},"payment-source":{"type":"object","properties":{"cc_type":{"type":"string"},"gateway_customer_profile_id":{"type":"string"},"gateway_payment_profile_id":{"type":"string"},"id":{"type":"integer"},"last_digits":{"type":"string"},"month":{"type":"string"},"name":{"type":"string"},"year":{"type":"string"}},"title":"Payment source"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/orders/{order_number}/payments/{payment_id}/void":{"put":{"summary":"Void order payment","description":"Voids an order's payment.","operationId":"void-order-payment","tags":["Payments"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payment"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/chord-oms/api-reference/payments.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
